import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const slaughterGetMorgueDashboardService = createAsyncThunk(
  "SLAUGHTER_GET_MORGUE_DASHBOARD",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "total-cold-house-dashboard-roles/",
      {
        params: {
          role: getRoleFromUrl(),
          ...d,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const slaughterGetMorguesService = createAsyncThunk(
  "SLAUGHTER_GET_MORGUES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill-house-cold-houses/", {
      params: {
        role: getRoleFromUrl(),
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
